# @billogram/foundation-textbox

> React textbox components

## Install

```
yarn add @billogram/foundation-textbox
```

## Usage

```tsx
import {
    FoundationMoneyTextbox,
    FoundationSearchTextbox,
    FoundationTextbox,
    FoundationTextboxIconSymbol,
    FoundationTextboxTextSymbol,
} from '@billogram/foundation-textbox';
```

See [types](src/types.ts) for exported types.

### [`FoundationMoneyTextbox`](src/FoundationMoneyTextbox.tsx)

### [`FoundationSearchTextbox`](src/FoundationSearchTextbox.tsx)

### [`FoundationTextbox`](src/FoundationTextbox.tsx)

```tsx
<FoundationTextbox
    autoFocus={ false }
    disabled={ false }
    hasErrors={ false }
    inputMode={ null }
    maxLength={ void 0 }
    onChange={ noop }
    placeholder=""
    symbol={ null }
    type="text"
    value="" />
```

### [`FoundationTextboxIconSymbol`](src/FoundationTextboxIconSymbol.tsx)

```tsx
<FoundationTextbox
    symbol={ (<FoundationTextboxIconSymbol icon="search" />) } />
```

### [`FoundationTextboxTextSymbol`](src/FoundationTextboxTextSymbol.tsx)

```tsx
<FoundationTextbox
    symbol={ (<FoundationTextboxTextSymbol text="%" />) } />
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
