import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from 'react';
import money from '@billogram/money';
import FoundationTextbox from './FoundationTextbox';
import FoundationTextboxTextSymbol from './FoundationTextboxTextSymbol';

function noop() {}

function FoundationMoneyTextbox(_ref, ref) {
  var _ref$onChange = _ref.onChange,
      onChange = _ref$onChange === void 0 ? noop : _ref$onChange,
      _ref$type = _ref.type,
      type = _ref$type === void 0 ? 'float' : _ref$type,
      _ref$value = _ref.value,
      value = _ref$value === void 0 ? money.create() : _ref$value,
      props = _objectWithoutProperties(_ref, ["onChange", "type", "value"]);

  function handleChange(evt) {
    onChange({
      rawValue: {
        currency: value.currency,
        value: evt.rawValue
      },
      value: {
        currency: value.currency,
        value: evt.value
      }
    });
  }

  return React.createElement(FoundationTextbox, _extends({}, props, {
    ref: ref,
    onChange: handleChange,
    value: value.value !== null && value.value !== void 0 ? value.value.toString() : '',
    symbol: React.createElement(FoundationTextboxTextSymbol, {
      text: value.currency
    }),
    type: type
  }));
}

export default React.forwardRef(FoundationMoneyTextbox);
//# sourceMappingURL=FoundationMoneyTextbox.js.map