/// <reference types="react" />
import { Amount, Currency, Money } from '@billogram/money';
export declare type RawAmount = Amount | string;
export interface RawMoney {
    currency: Currency;
    value: RawAmount;
}
export declare type FoundationMoneyTextboxType = 'float' | 'float-negative-only' | 'float-positive-only' | 'integer' | 'integer-negative-only' | 'integer-positive-only';
export declare type FoundationTextboxType = 'float' | 'float-negative-only' | 'float-positive-only' | 'integer' | 'integer-negative-only' | 'integer-positive-only' | 'password' | 'text';
export declare type FoundationTextboxRawValue = string;
export declare type FoundationTextboxValue = number | string;
export interface FoundationTextboxChangeEvent<TRawValue = FoundationTextboxRawValue, TValue = FoundationTextboxValue> {
    rawValue: TRawValue;
    value: TValue;
}
export interface FoundationTextboxChangeHandler<TEvent = FoundationTextboxChangeEvent> {
    (evt: TEvent): void;
}
export declare type FoundationMoneyTextboxRawValue = RawMoney;
export declare type FoundationMoneyTextboxValue = Money | RawMoney;
export interface FoundationMoneyTextboxChangeEvent extends FoundationTextboxChangeEvent<FoundationMoneyTextboxRawValue, FoundationMoneyTextboxValue> {
}
export interface FoundationMoneyTextboxChangeHandler extends FoundationTextboxChangeHandler<FoundationMoneyTextboxChangeEvent> {
}
export declare type FoundationMoneyTextboxProps = Omit<FoundationTextboxProps, 'onChange' | 'type' | 'value'> & {
    onChange?: FoundationMoneyTextboxChangeHandler;
    type?: FoundationMoneyTextboxType;
    value?: FoundationMoneyTextboxValue;
};
export interface FoundationTextboxProps {
    autoFocus?: boolean;
    disabled?: boolean;
    hasErrors?: boolean;
    inputMode?: 'none' | 'text' | 'tel' | 'url' | 'email' | 'numeric' | 'decimal' | 'search' | null;
    maxLength?: number;
    onChange?: FoundationTextboxChangeHandler;
    placeholder?: string;
    symbol?: React.ReactNode;
    type?: FoundationTextboxType;
    value?: FoundationTextboxValue;
}
export interface FoundationTextboxIconSymbolProps {
    icon: string;
}
export interface FoundationTextboxTextSymbolProps {
    text: React.ReactNode;
}
