import getLocale from './getLocale';
export default function getNumberSeparators() {
  var locale = getLocale();

  switch (locale) {
    case 'de':
      return {
        decimal: /,/,
        thousand: /./
      };

    case 'en':
      return {
        decimal: /./,
        thousand: /,/
      };

    case 'sv':
      return {
        decimal: /,/,
        thousand: /\s/
      };

    default:
      throw new Error("Missing separators for locale `".concat(locale, "`."));
  }
}
//# sourceMappingURL=getNumberSeparators.js.map